UMP: certificate_expired error in portal.log

Document ID : KB000119906
Last Modified Date : 05/11/2018
Show Technical Document Details
Issue:
 After upgrading  the wasp to the latest version via the Vulnerability patch for 8.51 (upgrading to 8.53) the customer is seeing a lot of unexplained error messages in the portal.log:
ERROR [POST2APNS:76] Exception sending post: com.notnoop.exceptions.NetworkIOException: javax.net.ssl.SSLHandshakeException: Received fatal alert: certificate_expired javax.net.ssl.SSLHandshakeException: Received fatal alert: certificate_expired 
Environment:
UIM 8.53 and up (confirmed in  UIM 9.02)
Cause:
This is caused by the UIM Mobile App when installed on iOS, the error is caused by the Apple Push notifications.
Resolution:
There is currently no way to remove these messages, but none of the functions of the mobile app or UMP appear to be impacted and work fine.